Bug 193281 - Review Request: python-xmpp - Python library for easy scripting with Jabber
Review Request: python-xmpp - Python library for easy scripting with Jabber
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On: 193271
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-26 15:27 EDT by Jeffrey C. Ollie
Modified: 2009-03-15 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 01:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-05-26 15:27:42 EDT
Spec URL: http://www.ocjtech.us/python-xmpp-0.3.1-1.spec
SRPM URL: http://www.ocjtech.us/python-xmpp-0.3.1-1.src.rpm
Description:
xmpppy is a Python library that is targeted to provide easy scripting
with Jabber. Similar projects are Twisted Words and jabber.py.

This library was not designed from scratch. It inherits some code from
jabberpy and have very similar API in many places. Though it is
separate project since it have almost completely different
architecture and primarily aims to work with jabberd2 - the new Open
Source Jabber Server.
Comment 1 Aurelien Bompard 2006-05-27 09:39:05 EDT
I get a 404 error on both links...
Comment 2 Jeffrey C. Ollie 2006-05-27 10:32:56 EDT
(In reply to comment #1)
> I get a 404 error on both links...

Oops... forgot that i had reorganized the directories on my web server and I
uploaded them to the wrong spot...
Comment 3 Aurelien Bompard 2006-05-28 05:02:07 EDT
Review for release 1:
* RPM name is OK
* Source xmpppy-0.3.1.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

APPROVED

(Extremely) minor nitpick:
* usually "find doc -type f | xargs chmod a-x" is done in %prep, since it is
about "preparing the sources for the rest of the build".
Comment 4 Jeffrey C. Ollie 2006-05-29 01:44:51 EDT
Thanks for the review!  Package imported, built for devel, branches requested
for FC-4 and FC-5.
Comment 5 Peter Lemenkov 2009-03-15 06:05:43 EDT
Package Change Request
======================
Package Name: python-xmpp
New Branches: EL-4 EL-5
Owners: jcollie peter
Comment 6 Kevin Fenzi 2009-03-15 22:23:38 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.